
%define name	kcdemu
%define Name	KCDemu
%define version	0.4.0
%define rel	4
%define release %mkrel %rel

Summary:	GUI for CDemu
Name:		%name
Version:	%version
Release:	%release
URL:		http://wiki.suselinuxsupport.de/
License:	GPL
Group:		Graphical desktop/KDE
Source:		http://wiki.suselinuxsupport.de/uploads/files/%{Name}_%{version}.tar.bz2
# We can't require dkms packages, user may use dkms binary pkgs
#Requires:	dkms-cdemu
BuildRequires:	qt3-devel
BuildRequires:	kdelibs-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
KCDemu is a GUI for the CDemu kernel module (written by
Robert Penz). It integrates into the SystemTray of your
KDE and offers access to the devices using your mouse. At
the moment the module (and so KCDemu) supports .bin and
.cue files.

%prep
%setup -q -n %Name
perl -pi -e 's,LFLAGS\s+=,LFLAGS = -L%{_prefix}/lib/qt3/%{_lib},' Makefile lib/Makefile
perl -pi -e 's/CFLAGS\s+=/CFLAGS = %optflags/' Makefile lib/Makefile

%build
export PATH=$PATH:%{_prefix}/lib/qt3/bin
%make

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{_bindir}
install -m755 KCDemu %{buildroot}%{_bindir}/KCDemu

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL TODO
%{_bindir}/KCDemu


%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.4.0-4mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-4mdv2008.0
+ Revision: 77433
- do not require dkms-cdemu explicitely
- Import kcdemu



* Wed Jul 19 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-3mdv2007.0
- fix buildrequires

* Mon Jul 10 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-2mdv2007.0
- fix buildrequires

* Tue Jun 06 2006 Anssi Hannula <anssi@mandriva.org> 0.4.0-1mdv2007.0
- initial Mandriva release
